<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="bd2f1611-c85b-4649-a27a-bcae1d0e13e6" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Point.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/MemotyKiller.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../enum-cviceni/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../enum-cviceni/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/Direction.java" beforeDir="false" afterPath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/Direction.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/Point.java" beforeDir="false" afterPath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/Point.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/Robot.java" beforeDir="false" afterPath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/Robot.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/World.java" beforeDir="false" afterPath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/World.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/greenfoot/RobotWorld.java" beforeDir="false" afterPath="$PROJECT_DIR$/../enum-cviceni/src/main/java/cz/mendelu/pjj/robot/greenfoot/RobotWorld.java" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1793791090">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="1" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="java" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JAVA" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="120" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="120" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Point.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="216">
              <caret line="12" selection-start-line="12" selection-end-line="12" />
              <folding>
                <element signature="e#132#133#0" expanded="true" />
                <element signature="e#178#179#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Main.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="198">
              <caret line="11" column="19" selection-start-line="11" selection-start-column="14" selection-end-line="11" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="GradleLocalSettings">
    <option name="projectSyncType">
      <map>
        <entry key="$USER_HOME$/Downloads/game-2048" value="PREVIEW" />
        <entry key="$USER_HOME$/Downloads/game-2048/game-2048" value="PREVIEW" />
        <entry key="$USER_HOME$/Downloads/tetris3" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../SPR1/spring-boot-jdbc" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../asseco/java.enum/greenfoot-robot" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../dna-analyser" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../materials-java" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../materials-java/topic/java.collections/exercise" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../materials-java/topic/java.enum/greenfoot-robot" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../../materials-java/topic/test.spock" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../enum-cviceni" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../java.collections/exercise" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../lombok" value="PREVIEW" />
        <entry key="$PROJECT_DIR$/../test.spock" value="PREVIEW" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Pint.java" />
        <option value="$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Point.java" />
        <option value="$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Main.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="3832" />
    <option name="y" value="-8" />
    <option name="width" value="1296" />
    <option name="height" value="776" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="design.patterns.1" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.1" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.1" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.1" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="design.patterns.1" type="b2602c69:ProjectViewProjectNode" />
              <item name="design.patterns.1" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="simpleFactoryMetod" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1542715631145" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="bd2f1611-c85b-4649-a27a-bcae1d0e13e6" name="Default Changelist" comment="" />
      <created>1542702864131</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1542702864131</updated>
      <workItem from="1542702866062" duration="973000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="973000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="3832" y="-8" width="1296" height="776" extended-state="6" />
    <layout>
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="UI Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Learn" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.23786408" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Maven Projects" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Point.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="e#132#133#0" expanded="true" />
            <element signature="e#178#179#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/cz/demo/simpleFactoryMetod/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="11" column="19" selection-start-line="11" selection-start-column="14" selection-end-line="11" selection-end-column="19" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>